PAPIf_hl_region_end(3)

NAME
PAPIf_hl_region_end -

Reads and stores hardware events at the end of an instrumented code region.

SYNOPSIS

Detailed Description

Fortran Prototype:
    #include 'fpapi.h'
     PAPIf_hl_region_end( C_STRING region, C_INT check )

Parameters:
    region -- a unique region name corresponding to PAPIf_hl_region_begin

Return values:
    PAPI_OK
    PAPI_ENOTRUN -- EventSet is currently not running or could not determined.
    PAPI_ESYS -- A system or C library call failed inside PAPI, see the errno variable.
    PAPI_EMISC -- PAPI has been deactivated due to previous erros.
    PAPI_ENOMEM -- Insufficient memory.

PAPIf_hl_region_end reads hardware events and stores the difference to the values from PAPIf_hl_region_begin at the end of an instrumented code region. Assumes that PAPIf_hl_region_begin was called before. Note that an output is automatically generated when your application terminates.

Example:

* integer retval
*
* call PAPIf_hl_region_begin("computation", retval)
* if ( retval .NE. PAPI_OK ) then
*     write (*,*) "PAPIf_hl_region_begin failed!"
* end if
*
* !do some computation here
*
* call PAPIf_hl_region_end("computation", retval)
* if ( retval .NE. PAPI_OK ) then
*     write (*,*) "PAPIf_hl_region_end failed!"
* end if
*
*

See Also:
    PAPI_hl_region_end

Author

Generated automatically by Doxygen for PAPI from the source code.